Subject: Re: [Tsvwg] Comments about the PKTDROP SCTP extension

From: "Randall R. Stewart (home)" <[email-masked]>
Date: Tue, 02 Dec 2003 08:37:54 -0600

[email-masked] wrote:
Ivan:

I need to go through the rest of your comments... I am still to far 
behind :-0

But I saw this and wanted to do a quick comment.

>	- Section 6, Security considerations: I suppose that you have already though about this, but, as said at the beginning of page 6, middle boxes are allowed to send a PKTDROP just to state the bandwidth value. What if the peer wants to speed up the transmission and sends a fake PKTDROP as being sent by any middle box in between? This can be perfectly done... I'm not sure whether you should allow any increase in the cwnd at all... :-/
>
>  
>
Yes, I thought of this, and that is precisely the reason for the 
RTO.Large being around 500ms. If a
receiver decides it wants to "speed" things up it will have to maintain 
the RTT time to be RTO.Large or greater. This
means that it must suffer the same problems a satellite network does... 
this would then result in a major
slow down for the receiver.. not exactly what the guy wants :->

We probably do need to add something that states that if the RTT drops 
smaller than RTO.Large during the
association then all cwnd adjustments MUST be disabled (via the packet 
drop mechanism and restored to its previous
value.. this would prevent a guy from holding the RTT larger for a few 
round trips and then dropping it back after
it has "jazzed the window"..

Of course that would mean one more state value to be held in your net 
structure, old_cwnd_at_midbox_speedup, but
it is worth it for satellite networks :->

R

>
>	Ok, that's all (by now! ;->)
>
>	BR Iván Arias Rodríguez
>
>	PS: I suppose this is the right list to send this mail..
>
>_______________________________________________
>tsvwg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/tsvwg
>
>
>
>  
>

-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg